LINUX.ORG.RU

Не могу установить phpmyadmin!


0

1

sudo apt-get install phpmyadmin Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install': Пакеты, имеющие неудовлетворённые зависимости: phpmyadmin : Зависит: php5-mcrypt но он не будет установлен Зависит: dbconfig-common но он не будет установлен

Кривые зависимости. Как мило :)

kerneliq ★★★★★ ()

приехали... а тарбол с сайта не утянуть?!
а зависимости ручками доставить.

aol ★★★★★ ()
Ответ на: комментарий от aol

Ты с ума сошел? Может еще гуглом посоветуешь воспользоватся? Или.... ПОДУМАТЬ САМОМУ????

kerneliq ★★★★★ ()

У тебя с репозиториями проблемы. Поправь.

kerneliq ★★★★★ ()

Так а если попробовать, как предлагается apt-get -f install?

-f   попытаться исправить систему, имеющую сломанные зависимости

Нет ну можно конешно еще посмотреть /etc/apt/sources.list и вывод dpkg --get-selections | grep php...

deviance-x ()

Зависит: php5-mcrypt но он не будет установлен Зависит: dbconfig-common но он не будет установлен

aptitude install php5-mcrypt dbconfig-common

AITap ★★★★★ ()
Ответ на: комментарий от kerneliq

Вобщем разобрался установил phpmyadmin.Но сейчас при открытии тестовой php cтраницы браузер предлагает ее сохранить.А также вот такая вата вылазит

sudo a2enmod php5 ERROR: Module php5 does not exist!

Zeroskilz ()

во-первых chive

wxw ★★★★★ ()
Ответ на: комментарий от kerneliq

php5-cgi стоит?

Зачем там cgi? Там нужен libapache2-mod-php5

tazhate ★★★★★ ()
Ответ на: комментарий от kerneliq

да стоит.. sudo apt-get install libapache2-mod-php5 libapache2-mod-ruby php5 php5-common php5-curl php5-dev php5-gd php5-idn php-pear php5-imagick php5-imap php5-mcrypt php5-memcache php5-mhash php5-ming php5-mysql php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово Заметьте, вместо php5-idn выбирается php5-intl Заметьте, вместо php5-mhash выбирается php5-common Уже установлена самая новая версия libapache2-mod-ruby. Уже установлена самая новая версия php5-imagick. Уже установлена самая новая версия php5-imap. Уже установлена самая новая версия php5-mcrypt. Уже установлена самая новая версия php5-memcache. Уже установлена самая новая версия php5-ming. Уже установлена самая новая версия libapache2-mod-php5. Уже установлена самая новая версия php-pear. Уже установлена самая новая версия php5. Уже установлена самая новая версия php5-common. Уже установлена самая новая версия php5-curl. Уже установлена самая новая версия php5-dev. Уже установлена самая новая версия php5-gd. Уже установлена самая новая версия php5-mysql. Уже установлена самая новая версия php5-pspell. Уже установлена самая новая версия php5-recode. Уже установлена самая новая версия php5-snmp. Уже установлена самая новая версия php5-sqlite. Уже установлена самая новая версия php5-tidy. Уже установлена самая новая версия php5-xmlrpc. Уже установлена самая новая версия php5-xsl. Уже установлена самая новая версия php5-intl. Уже установлена самая новая версия php5-cgi.

обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 127 пакетов не обновлено. не установлено до конца или удалено 1 пакетов. После данной операции, объём занятого дискового пространства возрастёт на 0 B. Хотите продолжить [Д/н]?

Zeroskilz ()
Ответ на: комментарий от tazhate

Тож стоит sudo apt-get install libapache2-mod-php5 Чтение списков пакетов... Готово Построение дерева зависимостей Чтение информации о состоянии... Готово Уже установлена самая новая версия libapache2-mod-php5. обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 127 пакетов не обновлено. не установлено до конца или удалено 1 пакетов. После данной операции, объём занятого дискового пространства возрастёт на 0 B. Хотите продолжить [Д/н]?

Zeroskilz ()
Ответ на: комментарий от Zeroskilz

sudo /etc/init.d/apache2 stop sudo apt-get remove --purge apache2 php5 sudo apt-get remove --purge libapache2-mod-php5 sudo apt-get install php5 apache2 libapache2-mod-php5 sudo /etc/init.d/apache2 start

kerneliq ★★★★★ ()
Ответ на: комментарий от kerneliq

Спасибо огромное все завелось)..!!

sudo a2enmod php5 Module php5 already enabled

Zeroskilz ()
Ответ на: комментарий от Zeroskilz

не установлено до конца или удалено 1 пакетов.

то есть, тебя это ни капельки не смутило?!

и ты что, по ссылке прошел, и бодренько конфиги ручками поправил? ;)

aol ★★★★★ ()
Ответ на: комментарий от Zeroskilz

что за дистр-то? дебиан чтоль? надо выяснить что это за пакет,
потом надо попробовать apt-get install -f а так же dkpg-reconfigure <тот_самый_пакет>

aol ★★★★★ ()
Ответ на: комментарий от aol

Сейчас у меня тестовый файл рhp открылся.А делаю 192.168.1.1\phpmyadmin также предлагает сохраннить файл.

Zeroskilz ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.